MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031945Open CASCADE[OCCT] OCCT:Foundation Classespublic2020-11-17 13:262020-12-19 15:21
Reporternds 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0031945: Foundation Classes - unique names of alerts of message report in DumpJson
DescriptionIt's proposed to dump alerts of Message_Report with incrementing index.
It lets avoid errors in parsing
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0031915newnds Foundation Classes - DumpJson creates report with not unique keys 
child of 0029451closedbugmaster Information Message Alert to debug an algorithm or object functionality 

-  Notes
(0097626)
git (administrator)
2020-12-16 11:34

Branch CR31945 has been created by nds.

SHA-1: b521a5fe8f3964278a1de77463bc14552ab19ac0


Detailed log of new commits:

Author: nds
Date: Wed Dec 16 11:34:59 2020 +0300

    0031945: Foundation Classes - unique names of alerts of message report in DumpJson
    
    - add OCCT_DUMP_FIELD_VALUE_NUMERICAL_INC and OCCT_DUMP_FIELD_VALUES_DUMPED_INC - to increment key Value;
    - add OCCT_DUMP_STREAM_VALUE_DUMPED - to give stream as a parameter of the DumpJson;
    - correct Message_Report, Message_CompositeAlerts to increment keys;
    - correct Message_AttributeMeter to have in result start and stop values united in value block: [start stop]. It's better for parsing;
    - correct result of Message::MetricToString output for updated in 29451 Message_MetricType enum;
    - correct Standard_Dump::AddValuesSeparator to avoid adding ',' in additional case;
    - correct Standard_Dump::FormatJson to add opening/closing brace for the whole result (for valid parsing);
    - correct Standard_Dump::FormatJson to ignore '\n' in value.
(0097700)
nds (developer)
2020-12-18 11:08

Dear Kirill,

could you please review.
Jenkis job is: http://jenkins-test-12.nnov.opencascade.com/view/CR31945-master-nds/ [^]

Thank you a lot for help, Natalia
(0097701)
kgv (developer)
2020-12-18 12:24

+//! - OCCT_DUMP_FIELD_VALUE_NUMERICAL_INT. Use it for fields of numerical C++ types, like int, float, 
double.
+//!     It creates a pair "key_inc", "value",

Misprint in macros name.

+      for (int anIndent = 0; anIndent < anIndentCount; anIndent++)
+        aText += anIndentStr;

Please add brackets.
(0097703)
git (administrator)
2020-12-18 12:45

Branch CR31945 has been updated forcibly by nds.

SHA-1: 8ae90a9aca746936d3efc4db47fbe969b637d14a
(0097704)
nds (developer)
2020-12-18 12:45

Done, please check.
(0097705)
git (administrator)
2020-12-18 13:08

Branch CR31945_1 has been created by nds.

SHA-1: 11132b0547dcb011b49a0b15ff5cb95472d8b6bf


Detailed log of new commits:

Author: nds
Date: Fri Dec 18 13:09:08 2020 +0300

    0031945: Foundation Classes - unique names of alerts of message report in DumpJson
    
    - add OCCT_DUMP_FIELD_VALUE_NUMERICAL_INC and OCCT_DUMP_FIELD_VALUES_DUMPED_INC - to increment key Value;
    - add OCCT_DUMP_STREAM_VALUE_DUMPED - to give stream as a parameter of the DumpJson;
    - correct Message_Report, Message_CompositeAlerts to increment keys;
    - correct Message_AttributeMeter to have in result start and stop values united in value block: [start stop]. It's better for parsing;
    - correct result of Message::MetricToString output for updated in 29451 Message_MetricType enum;
    - correct Standard_Dump::AddValuesSeparator to avoid adding ',' in additional case;
    - correct Standard_Dump::FormatJson to add opening/closing brace for the whole result (for valid parsing);
    - correct Standard_Dump::FormatJson to ignore '\n' in value.
(0097756)
bugmaster (administrator)
2020-12-19 14:50

Combination -
OCCT branch : IR-2020-12-18
master SHA - 04114fd201c20efe9fbe85f00bec9a99ae3747ad
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-12-18 SHA - 290e5c74e8fef71947cadf90acb8e43c81ed10a1
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17709.570000000054 / 17744.450000000124 [-0.20%]
Products
Total CPU difference: 12258.480000000121 / 12330.210000000125 [-0.58%]
Windows-64-VC14:
OCCT
Total CPU difference: 19272.796875 / 19429.1875 [-0.80%]
Products
Total CPU difference: 13712.859375 / 13755.5 [-0.31%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0097763)
git (administrator)
2020-12-19 15:21

Branch CR31945_1 has been deleted by inv.

SHA-1: 11132b0547dcb011b49a0b15ff5cb95472d8b6bf
(0097764)
git (administrator)
2020-12-19 15:21

Branch CR31945 has been deleted by inv.

SHA-1: 8ae90a9aca746936d3efc4db47fbe969b637d14a

- Related Changesets
occt: master 04114fd2
Timestamp: 2020-12-18 10:09:08
Author: nds
Committer: bugmaster
Details ] Diff ]
0031945: Foundation Classes - unique names of alerts of message report in DumpJson

- add OCCT_DUMP_FIELD_VALUE_NUMERICAL_INC and OCCT_DUMP_FIELD_VALUES_DUMPED_INC - to increment key Value;
- add OCCT_DUMP_STREAM_VALUE_DUMPED - to give stream as a parameter of the DumpJson;
- correct Message_Report, Message_CompositeAlerts to increment keys;
- correct Message_AttributeMeter to have in result start and stop values united in value block: [start stop]. It's better for parsing;
- correct result of Message::MetricToString output for updated in 29451 Message_MetricType enum;
- correct Standard_Dump::AddValuesSeparator to avoid adding ',' in additional case;
- correct Standard_Dump::FormatJson to add opening/closing brace for the whole result (for valid parsing);
- correct Standard_Dump::FormatJson to ignore '\n' in value.
mod - src/Message/Message.cxx Diff ] File ]
mod - src/Message/Message_AttributeMeter.cxx Diff ] File ]
mod - src/Message/Message_AttributeStream.cxx Diff ] File ]
mod - src/Message/Message_CompositeAlerts.cxx Diff ] File ]
mod - src/Message/Message_Report.cxx Diff ] File ]
mod - src/Standard/Standard_Dump.cxx Diff ] File ]
mod - src/Standard/Standard_Dump.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-11-17 13:26 nds New Issue
2020-11-17 13:26 nds Assigned To => nds
2020-11-17 13:27 nds Relationship added child of 0031915
2020-12-16 11:34 git Note Added: 0097626
2020-12-18 11:08 nds Note Added: 0097700
2020-12-18 11:08 nds Assigned To nds => kgv
2020-12-18 11:08 nds Status new => resolved
2020-12-18 12:24 kgv Note Added: 0097701
2020-12-18 12:24 kgv Assigned To kgv => nds
2020-12-18 12:24 kgv Status resolved => assigned
2020-12-18 12:45 git Note Added: 0097703
2020-12-18 12:45 nds Note Added: 0097704
2020-12-18 12:45 nds Assigned To nds => kgv
2020-12-18 12:45 nds Status assigned => resolved
2020-12-18 12:51 kgv Assigned To kgv => bugmaster
2020-12-18 12:51 kgv Status resolved => reviewed
2020-12-18 12:51 kgv Relationship added child of 0029451
2020-12-18 12:51 kgv Product Version => 7.5.0
2020-12-18 13:08 git Note Added: 0097705
2020-12-19 14:50 bugmaster Note Added: 0097756
2020-12-19 14:50 bugmaster Status reviewed => tested
2020-12-19 15:04 bugmaster Test case number => Not required
2020-12-19 15:06 bugmaster Changeset attached => occt master 04114fd2
2020-12-19 15:06 bugmaster Status tested => verified
2020-12-19 15:06 bugmaster Resolution open => fixed
2020-12-19 15:21 git Note Added: 0097763
2020-12-19 15:21 git Note Added: 0097764


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker